Name:		aops-vulcanus
Version:	v2.1.0
Release:	1
Summary:	A basic tool libraries of aops, including logging, configure and response, etc.
License:	MulanPSL2
URL:		https://gitee.com/openeuler/%{name}
Source0:	%{name}-%{version}.tar.gz


BuildRequires:  python3-setuptools
Requires:   python3-concurrent-log-handler python3-xmltodict python3-pyyaml python3-marshmallow >= 3.13.0
Requires:   python3-requests python3-xlrd python3-sqlalchemy
Requires:   python3-elasticsearch >= 7 python3-elasticsearch < 8
Requires:   python3-flask python3-flask-restful python3-PyMySQL python3-kafka-python python3-retrying
Requires:   python-jwt python3-redis python3-Flask-APScheduler >= 1.11.0 python3-APScheduler python3-kazoo
Provides:   aops-vulcanus
Conflicts:  aops-utils


%description
A basic tool libraries of aops, including logging, configure and response, etc.


%package -n aops-tools
Summary:  aops scripts
Provides: aops-tools = %{version}

%description -n aops-tools
tools for aops, it's about aops deploy


%prep
%autosetup -n %{name}-%{version}


# build for aops-vulcanus
%py3_build


# install for aops-vulcanus
%py3_install


# install for aops-tools
mkdir -p %{buildroot}/opt/aops/
cp -r scripts %{buildroot}/opt/aops/


%files
%doc README.*
%attr(0644,root,root) %{_sysconfdir}/aops/aops-config.yml
%{python3_sitelib}/aops_vulcanus*.egg-info
%{python3_sitelib}/vulcanus/*


%files -n aops-tools
%attr(0755, root, root) /opt/aops/scripts/*


%changelog
* Mon Sep 9 2024 gongzhengtang<gong_zhengtang@163.com> - v2.1.0-1
- Adapt the token and constant additions for the authentication center.

* Wed Aug 28 2024 wenxin<wenxin32@foxmail.com> - v2.0.0-2
- Update http forwarding request headers.

* Fri Aug 16 2024 wenxin<wenxin32@foxmail.com> - v2.0.0-1
- Adjusted configuration file loading method: changed format from INI to YAML.
- Added support for reading and writing configuration through Zookeeper.
- Added support for reading and writing cache through Redis, including logic for current cache keys.
- Implemented RSA signature verification for data.
- Removed deprecated files.
- Optimized Prometheus import statements.
- Added retry mechanism to `response` method.

* Wed Dec 27 2023 wenxin<wenxin32@foxmail.com> - v1.3.1-4
- update the exception catching type of the function

* Sat Dec 23 2023 zhuyuncheng<zhuyuncheng@huawei.com> - v1.3.1-3
- add Http connection error catch when connecting to prometheus

* Thu Dec 21 2023 wenxin<wenxin32@foxmail.com> - v1.3.1-2
- add IPV4 validation method to ValidateRules

* Mon Dec 18 2023 gongzhengtang<gong_zhengtang@163.com> - v1.3.1-1
- Optimize paging statistics and software dependency versions

* Tue Nov 14 2023 wenxin<wenxin32@foxmail.com> - v1.3.0-8
- update spec file

* Wed Oct 25 2023 wenxin<wenxin32@foxmail.com> - v1.3.0-7
- update timed task args check

* Wed Oct 25 2023 wenxin<wenxin32@foxmail.com> - v1.3.0-6
- since there is no arm-arch package in new repo source, remove changes of the es repo source url 

* Tue Oct 24 2023 wenxin<wenxin32@foxmail.com> - v1.3.0-5
- update timed task args check and timeout
- update elasticsearch repo source url

* Wed Oct 18 2023 gongzhengtang<gong_zhengtang@163.com> - v1.3.0-4
- it is suitable for version 20.03-LTS-sp3

* Tue Sep 19 2023 wenxin<shusheng.wen@outlook.com> - v1.3.0-3
- fix systemctl startup service problem

* Mon Sep 11 2023 zhuyuncheng<zhuyuncheng@huawei.com> - v1.3.0-2
- optimize start service check logic

* Tue Aug 29 2023 wenxin<shusheng.wen@outlook.com> - v1.3.0-1
- optimize project directory structure
- support database initialization script

* Thu Jun 08 2023 wenxin<shusheng.wen@outlook.com> - v1.2.1-2
- fix issue: aops-zeus app failed to load when first start by uwsgi 
- add paging parameter schema

* Tue May 23 2023 wenxin<shusheng.wen@outlook.com> - v1.2.1-1
- add cve rollback url for aops-zeus

* Tue May 9 2023 wenxin<shusheng.wen@outlook.com> - v1.2.0-4
- update length limit of username field

* Mon May 8 2023 gongzhengtang<gong_zhengtang@163.com> - v1.2.0-3
- add gevent config item for uwsgi; fix old token is invalid

* Thu Apr 27 2023 wenixn<shusheng.wen@outlook.com> - v1.2.0-2
- add custom validation rules;fix script docker install error

* Mon Apr 17 2023 wenixn<shusheng.wen@outlook.com> - v1.2.0-1
- update token authentication method; update the structure of response body
- update database connect method

* Tue Dec 27 2022 wenxin<shusheng.wen@outlook.com> - v1.1.1-2
- Modify uwsgi configuration file fields

* Fri Dec 02 2022 wenxin<shusheng.wen@outlook.com> - v1.1.1-1
- update get response

* Fri Nov 25 2022 wenxin<shusheng.wen@outlook.com> - v1.1.0-1
- Fix bug: fix file creation error

* Tue Nov 22 2022 zhuyuncheng<zhuyuncheng@huawei.com> - v1.0.0-1
- Package init
